Bug 125915 - brctl seg faults after upgrade to kernel 2.6.6-1.427
Summary: brctl seg faults after upgrade to kernel 2.6.6-1.427
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bridge-utils (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-14 00:15 UTC by saul
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 08:51:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description saul 2004-06-14 00:15:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7) Gecko/20040608

Description of problem:
After installing kernel 2.6.6-1.427, all attempts to
use bridging, via brctl, fail with the utility
immediately coring.

A search through kernel changelogs show a number
of changes in the 2.6.6-2.6.7 timeframe to the
kernel about bridging, and bridge-util changelogs
show changes that track the kernel changes.

An upgrade to the current bridge-util (1.0.4)
fixed the problem for me.


Version-Release number of selected component (if applicable):
bridge-util-0,9.6

How reproducible:
Always

Steps to Reproduce:
1.Run brctl
2.
3.
    

Actual Results:  Segmentation fault.

Expected Results:  Bridging.

Additional info:

This renders bridging completely non-functional under
this kernel.

Comment 1 Matthew Miller 2005-04-26 15:36:26 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.